$volumes = Get-Volume | Where-Object {$_.FileSystemLabel -ne 'System Reserved'} | Select-Object FileSystemLabel,FileSystem,Size,SizeRemaining,DriveLetter

Write-Host "<<<df>>>"
foreach ($disk in $volumes) {
	$SizeB = $disk.Size
	$AvailB = $disk.SizeRemaining
	
	$SizeKB = [math]::round(($SizeB/ 1024),2)
	$AvailKB = [math]::round(($AvailB / 1024),2)

	$UsedKB = $SizeKB - $AvailKB
	
	$UsedPerc = ([math]::round((($UsedKB/$SizeKB) * 100),0)).ToString() + "%"
	
	if ($disk.FileSystemLabel) {
		$Label = $disk.FileSystemLabel
	}
	else {
		$Label = $disk.DriveLetter
	}
	

	$FileSystem = $disk.FileSystem
	if ([string]::IsNullOrWhiteSpace($disk.FileSystemLabel)) {
		$Name = $Label + ':\'
	}
	elseif (!([string]::IsNullOrWhiteSpace($disk.FileSystemLabel)) -and !([string]::IsNullOrWhiteSpace($disk.DriveLetter))) {
		$Name = $Label
	}
	else {
		$Name = $Label + '\'
	}
	
	Write-Host "$Label`t$FileSystem`t$SizeKB`t$UsedKB`t$AvailKB`t$UsedPerc`t$Name"
}